"""Definition of the MinType content type
"""

from zope.interface import implements, directlyProvides

from Products.Archetypes import atapi
from Products.ATContentTypes.content import base
from Products.ATContentTypes.content import schemata

from medialog.mintype import mintypeMessageFactory as _
from medialog.mintype.interfaces import IMinType
from medialog.mintype.config import PROJECTNAME

MinTypeSchema = schemata.ATContentTypeSchema.copy() + atapi.Schema((

    # -*- Your Archetypes field definitions here ... -*-

))

# Set storage on fields copied from ATContentTypeSchema, making sure
# they work well with the python bridge properties.

MinTypeSchema['title'].storage = atapi.AnnotationStorage()
MinTypeSchema['description'].storage = atapi.AnnotationStorage()

schemata.finalizeATCTSchema(MinTypeSchema, moveDiscussion=False)

class MinType(base.ATCTContent):
    """test type"""
    implements(IMinType)

    portal_type = "MinType"
    schema = MinTypeSchema

    title = atapi.ATFieldProperty('title')
    description = atapi.ATFieldProperty('description')

atapi.registerType(MinType, PROJECTNAME)
